function initsett3d(handles,datasizes)

set(handles.mainframe1,'Visible','on');
set(handles.popupmenu8,'String',{});
set(handles.popupmenu8,'Visible','off');
set(handles.slider3,'Position',[8.666666666666666 34.4 42.0 1.25]);
set(handles.slider3,'Visible','on');
set(handles.edit18,'Position',[53.33333333333333 34.4 7.0 1.25]);
set(handles.edit18,'Visible','on');
set(handles.pushbutton10,'Visible','on');
set(handles.pushbutton11,'Visible','on');
axes(handles.mainframe1);
set(handles.edit3,'String',datasizes);